# Class JUnitPlatformOptions

java.lang.Object
org.gradle.api.tasks.testing.TestFrameworkOptions
org.gradle.api.tasks.testing.junitplatform.JUnitPlatformOptions

public abstract class JUnitPlatformOptions extends TestFrameworkOptions
The JUnit platform specific test options.

Since:
  4.6
See Also:
  - JUnit 5 User Guide

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JUnitPlatformOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyFrom(JUnitPlatformOptions other)`
  Copies the options from the source options into the current one.
  `JUnitPlatformOptions`
  `excludeEngines(String... excludeEngines)`
  The set of engines to exclude.
  `JUnitPlatformOptions`
  `excludeTags(String... excludeTags)`
  The set of tags to exclude.
  `Set<String>`
  `getExcludeEngines()`
  `Set<String>`
  `getExcludeTags()`
  `Set<String>`
  `getIncludeEngines()`
  `Set<String>`
  `getIncludeTags()`
  `JUnitPlatformOptions`
  `includeEngines(String... includeEngines)`
  The set of engines to run with.
  `JUnitPlatformOptions`
  `includeTags(String... includeTags)`
  The set of tags to run with.
  `void`
  `setExcludeEngines(Set<String> excludeEngines)`
  `void`
  `setExcludeTags(Set<String> excludeTags)`
  `void`
  `setIncludeEngines(Set<String> includeEngines)`
  `void`
  `setIncludeTags(Set<String> includeTags)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JUnitPlatformOptions

    public JUnitPlatformOptions()

- ## Method Details

  - ### copyFrom

    public void copyFrom(JUnitPlatformOptions other)
    Copies the options from the source options into the current one.
    Since:
      8.0

  - ### includeEngines

    public JUnitPlatformOptions includeEngines(String... includeEngines)
    The set of engines to run with.
    See Also:
      - Test Engine

  - ### includeTags

    public JUnitPlatformOptions includeTags(String... includeTags)
    The set of tags to run with.
    See Also:
      - Tagging and Filtering

  - ### excludeEngines

    public JUnitPlatformOptions excludeEngines(String... excludeEngines)
    The set of engines to exclude.
    See Also:
      - Test Engine

  - ### excludeTags

    public JUnitPlatformOptions excludeTags(String... excludeTags)
    The set of tags to exclude.
    See Also:
      - Tagging and Filtering

  - ### getIncludeEngines

    @Input public Set<String> getIncludeEngines()

  - ### getIncludeTags

    @Input public Set<String> getIncludeTags()

  - ### setIncludeEngines

    public void setIncludeEngines(Set<String> includeEngines)

  - ### getExcludeEngines

    @Input public Set<String> getExcludeEngines()

  - ### setExcludeEngines

    public void setExcludeEngines(Set<String> excludeEngines)

  - ### setIncludeTags

    public void setIncludeTags(Set<String> includeTags)

  - ### getExcludeTags

    @Input public Set<String> getExcludeTags()

  - ### setExcludeTags

    public void setExcludeTags(Set<String> excludeTags)